CREATE TABLE kerekparok (
	vazszam varchar2(20) CONSTRAINT KEREKPAROK_PKEY PRIMARY KEY NOT NULL,
	tipus varchar2(10),
	szin varchar2(15),
	marka varchar2(20),
	meret number
);

CREATE TABLE ugyfelek (
	nev varchar2(25) CONSTRAINT UGYFELNEV_NN NOT NULL,
	szuldatum date CONSTRAINT UGYFELSZULDATUM_NN NOT NULL,
	cim varchar2(40),
	email varchar2(40)	
);

ALTER TABLE ugyfelek ADD CONSTRAINT UGYFELEK_PKEY PRIMARY KEY (nev, szuldatum);

CREATE TABLE kolcsonzesek (
	u_nev varchar2(30),
	kp_vazszam varchar2(20),
	k_datum date,
	k_idotartam number
);

ALTER TABLE kolcsonzesek ADD CONSTRAINT KOLCS_FKEY1 FOREIGN KEY (u_nev) REFERENCES ugyfelek (nev);
ALTER TABLE kolcsonzesek ADD CONSTRAINT KOLCS_FKEY3 FOREIGN KEY (kp_vazszam) REFERENCES kerekparok (vazszam);